how to add arduino agent 2.0 to a sketch

I am attempting to use a sparkfun esp 8266 shield on a Arduino uno rev3 bd to communicate to a

cayenne mqtt dashboard. the config. dash shows up and upon selection of uno asks for Arduino agent

upgrade. agent 2.0 required.

Any help would be appreciated.

thanks

Fred

It might help to provide a link to that cayenne mqtt dashboard software. It seems that the error is there.

Also post the code you run on the Arduino (and links to libraries used there if any).